Package org.eclipse.mat.inspections

## Class CommonNameResolver.InetAddressResolver

- java.lang.Object
- - org.eclipse.mat.inspections.CommonNameResolver.InetAddressResolver

All Implemented Interfaces:
  `IClassSpecificNameResolver`

Enclosing class:
  CommonNameResolver

    public static class CommonNameResolver.InetAddressResolver
    extends Object
    implements IClassSpecificNameResolver

### Constructor Summary

Constructors
`InetAddressResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `resolve​(IObject object)` Resolve the name for snapshot object.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InetAddressResolver

    public InetAddressResolver()

### Method Detail

#### resolve

    public String resolve​(IObject object)
                   throws SnapshotException

Description copied from interface: `IClassSpecificNameResolver`
Resolve the name for snapshot object.

Specified by:
  `resolve` in interface `IClassSpecificNameResolver`
Parameters:
  `object` - object for which the name should be resolved
Returns:
  name for snapshot object
Throws:
  `SnapshotException`